#  SHIBOKEN_INCLUDE_DIR        - Directories to include to use SHIBOKEN
#  SHIBOKEN_LIBRARY            - Files to link against to use SHIBOKEN
#  SHIBOKEN_BINARY             - Executable name
#  SHIBOKEN_BUILD_TYPE         - Tells if Shiboken was compiled in Release or Debug mode.
#  SHIBOKEN_PYTHON_INTERPRETER - Python interpreter (regular or debug) to be used with the bindings.
#  SHIBOKEN_PYTHON_LIBRARIES   - Python libraries (regular or debug) Shiboken is linked against.

SET(SHIBOKEN_INCLUDE_DIR "/usr/include/shiboken")
if(MSVC)
    SET(SHIBOKEN_LIBRARY "/usr/lib/arm-linux-gnueabihf/libshiboken.cpython-34dm.lib")
elseif(CYGWIN)
    SET(SHIBOKEN_LIBRARY "/usr/lib/arm-linux-gnueabihf/shiboken.cpython-34dm")
elseif(WIN32)
    SET(SHIBOKEN_LIBRARY "/usr/bin/libshiboken.cpython-34dm.so")
else()
    SET(SHIBOKEN_LIBRARY "/usr/lib/arm-linux-gnueabihf/libshiboken.cpython-34dm.so")
endif()
SET(SHIBOKEN_PYTHON_INCLUDE_DIR "/usr/include/python3.4dm;/usr/include/python3.4m")
SET(SHIBOKEN_PYTHON_INCLUDE_DIR "/usr/include/python3.4dm;/usr/include/python3.4m")
SET(SHIBOKEN_PYTHON_INTERPRETER "/usr/bin/python3.4dm")
SET(SHIBOKEN_PYTHON_LIBRARIES "/usr/lib/arm-linux-gnueabihf/libpython3.4dm.so")
SET(SHIBOKEN_PYTHON_SUFFIX ".cpython-34dm")
message(STATUS "libshiboken built for Debug")
add_definitions("-DPy_DEBUG")

set(SHIBOKEN_BINARY "/usr/bin/shiboken")
